/* FileSys, Version 1.00 for OS/2 */
/* Written by Rob van der Woude   */
/* http://www.robvanderwoude.com  */

/* Initialize RexxLib */
call RxFuncAdd "RexxLibRegister", "RexxLib", "RexxLibRegister"
call RexxLibRegister

/* Parameter check */
parse upper arg drive dummy
if dummy <> "" then call Syntax
if drive = "" then do
	drive = filespec( "D", directory( ) )
end
else do
	if pos( "?", drive ) > 0 then call Syntax
	if length( drive ) = 1 then drive = drive||":"
	if length( drive ) > 2 then call Syntax
	if right( drive, 1 ) <> ":" then call Syntax
	if left( drive, 1 ) < "A" then call Syntax
	if left( drive, 1 ) > "Z" then call Syntax
end

/* Check if specified drive is ready */
if dosdisk( "T", drive ) = -1 then do
	say
	say "Drive "||drive||" is not ready"
	EXIT 1
end

/* Now that that's done, let's get the file system */
say
say "File system of drive "||drive||" is "||DOSFILESYS( drive )

/* End main program */
EXIT 0


Syntax:
	say
	say "FileSys, Version 1.00 for OS/2"
	say "Written by Rob van der Woude"
	say
	say "Usage: FILESYS [ drive ]"
	say
	say "If no drive is specified, current drive is assumed"
	EXIT 2
return
